# `squishy.gateware.usb`

```{toctree}
:hidden:


```

```{eval-rst}
.. automodule:: squishy.gateware.usb

```

```{eval-rst}
.. automodule:: squishy.gateware.usb.dfu
  :members:

```

```{eval-rst}
.. automodule:: squishy.gateware.usb.rev1
  :members:

```

```{eval-rst}
.. automodule:: squishy.gateware.usb.rev2
  :members:

```
